@font-face {
  font-family: "Playfair Display";
  src: url("Playfair_Display/PlayfairDisplay-VariableFont_wght.ttf") format("truetype");
}

@font-face {
  font-family: "Quicksand";
  src: url("Quicksand/Quicksand-VariableFont_wght.ttf") format("truetype");
}

/* Colors */
/* Shadows */
/* Breakpoints */
/* Layout Dimensions */
body {
  margin: 0;
}

#footer *, a, input, textarea, button, select, .sans-serif {
  font-family: "Quicksand", sans-serif;
}

.whitespace-pre {
  white-space: pre-wrap;
}

body, a {
  text-decoration: none;
  color: #003366;
}

.error {
  color: #951400;
}

.deemphasized {
  color: #aab0ba;
}

p {
  font-size: 16px;
}

h1, h2, h3, h4 {
  font-family: "Playfair Display", serif;
  font-weight: 300;
}

h1 {
  font-size: 48px;
}

h2 {
  font-size: 32px;
}

img {
  display: inline-block;
  vertical-align: middle;
  height: auto;
}

.dark-background, .dark-background * {
  color: white;
  text-shadow: 0 0 16px rgba(0, 0, 0, 0.55);
}

body.expand-height main {
  min-height: calc(100vh - 112px);
}

main {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  margin: auto;
}

main > div {
  display: block;
}

main.full-width {
  margin-right: 72px;
  margin-left: 72px;
}

main:not(.full-width) div {
  max-width: 1000px;
}

span.divider {
  display: inline-block;
  margin-top: 2em;
  margin-bottom: 1em;
  padding: 0;
  height: 1px;
  width: 160px;
  background: lightgray;
}

div.darkener {
  position: fixed;
  z-index: 20;
  background-color: rgba(0, 0, 0, 0.2);
  top: 0;
  left: 0;
  width: 100vw;
  max-width: 100vw !important;
  height: 100vh;
  max-height: 100vh !important;
}

div.darkener:not(.active) {
  display: none;
}

.bold {
  font-weight: bold;
}

a.destructive {
  color: #951400;
}

a.emphasized:hover {
  text-decoration: underline;
}

/* Interface Elements */
input:not([type="checkbox"]), select, button, a.button {
  font-size: 14px;
  padding: 12px 6px 12px 6px;
  min-width: 300px;
  max-width: 80vw;
  margin-left: 0;
}

input:not([type="checkbox"]).short, select.short, button.short, a.button.short {
  min-width: 180px;
}

span.label {
  display: inline-block;
  font-family: "Playfair Display", serif;
  font-weight: 300;
  font-size: 1.17em;
  padding: 12px 6px 12px 6px;
  min-width: 300px;
}

.select-container, .search-container {
  display: inline-block;
  position: relative;
  min-width: 314px;
  max-width: 80vw;
}

.select-container.short, .search-container.short {
  min-width: 194px;
}

.select-container select {
  width: 100%;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  border: none;
  border-radius: 0;
  cursor: pointer;
}

.select-container:after {
  content: "";
  width: 14px;
  height: 20px;
  background-image: url(select.png);
  background-size: 14px 20px;
  right: 6px;
  top: 50%;
  -webkit-transform: translate(0, -50%);
          transform: translate(0, -50%);
  position: absolute;
  display: inline-block;
}

.search-container .search {
  padding-left: 36px;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  border: none;
  border-radius: 0;
}

.search-container:before {
  content: "";
  width: 20px;
  height: 20px;
  background-image: url(search.png);
  background-size: 20px 20px;
  left: 6px;
  top: 50%;
  -webkit-transform: translate(0, -50%);
          transform: translate(0, -50%);
  position: absolute;
  display: inline-block;
}

textarea {
  font-size: 14px;
  padding: 12px 6px 12px 6px;
}

button, a.button {
  display: inline-block;
  text-align: center;
  background-color: #003366;
  -webkit-transition: background-color 0.4s linear;
  transition: background-color 0.4s linear;
  border: none;
  font-family: "Playfair Display", serif;
  color: white;
  margin-top: 1em;
  margin-bottom: 1em;
  cursor: pointer;
}

button.close, a.button.close {
  margin-top: 0;
  margin-bottom: 0;
}

button:hover, a.button:hover {
  background-color: #6685A3;
}

button:active, a.button:active {
  -webkit-transition-duration: 0s;
          transition-duration: 0s;
  background-color: #88a7c5;
}

button.destructive, a.button.destructive {
  background-color: #951400;
}

button.destructive:hover, a.button.destructive:hover {
  background-color: #c73f2a;
}

button.destructive:active, a.button.destructive:active {
  background-color: #f8654e;
}

button.disabled, button.disabled-by-default:not(.enabled), a.button.disabled, a.button.disabled-by-default:not(.enabled) {
  background-color: #b8b8b8;
  cursor: not-allowed;
  pointer-events: none;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}

img.loading-spinner {
  display: inline-block;
  margin-left: 1em;
  margin-bottom: 0;
  width: 50px;
  height: 50px;
}

img.loading-spinner:not(.active) {
  display: none;
}

input[type=text], textarea, form textarea, input[type=password], input[type=tel], .select-container, .search-container {
  border: 1px solid white;
  border-bottom: 1px solid #003366;
}

input[type=text]:hover, textarea:hover, input[type=password]:hover, input[type=tel]:hover, .select-container:hover, .search-container:hover {
  border-top-color: lightgray;
  border-left-color: lightgray;
  border-right-color: lightgray;
}

input[type=text]:focus, textarea:focus, input[type=password]:focus, input[type=tel]:focus, .select-container:focus, .search-container:focus {
  border: 1px solid #003366;
}

form * {
  margin-bottom: 1em;
  margin-left: auto;
  margin-right: auto;
}

form input[type=checkbox] {
  margin-right: 0.5em;
}

form label {
  display: inline-block;
  min-width: 19em;
}

form textarea {
  width: 100%;
  height: 12em;
}

form.locked-out * {
  cursor: not-allowed;
  pointer-events: none;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}

a.hoverable-container {
  cursor: pointer;
}

a.hoverable-container img {
  -webkit-transition: opacity 0.4s ease;
  transition: opacity 0.4s ease;
}

a.hoverable-container:hover img {
  opacity: 0.75;
}

a.hoverable-container:hover button {
  background-color: #6685A3;
}

a.hoverable-container:active * {
  -webkit-transition-duration: 0s;
          transition-duration: 0s;
}

a.hoverable-container:active img {
  opacity: 0.55;
}

a.hoverable-container:active button {
  background-color: #88a7c5;
}

div.bottom-sticky {
  display: block;
  position: -webkit-sticky;
  position: sticky;
  bottom: 0;
  margin-bottom: 120px;
  width: 100%;
  background-color: rgba(255, 255, 255, 0.3);
  -webkit-backdrop-filter: blur(40px);
          backdrop-filter: blur(40px);
  z-index: 40;
  -webkit-transition: -webkit-box-shadow 0.25s linear;
  transition: -webkit-box-shadow 0.25s linear;
  transition: box-shadow 0.25s linear;
  transition: box-shadow 0.25s linear, -webkit-box-shadow 0.25s linear;
}

div.bottom-sticky button, div.bottom-sticky a.button {
  margin-top: 1em;
  margin-bottom: 1em;
}

div.bottom-sticky p {
  max-width: 1000px;
  margin: auto;
}

div.bottom-sticky.outline {
  -webkit-box-shadow: 0px -1px 4px rgba(0, 0, 0, 0.1);
          box-shadow: 0px -1px 4px rgba(0, 0, 0, 0.1);
}

img.progress:not(.running) {
  display: none;
}

div.dropdown {
  position: absolute;
  display: none;
  max-height: 387px;
  overflow: scroll;
  background-color: white;
  -webkit-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);
          box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);
  z-index: 100;
}

div.dropdown a {
  display: block;
  position: relative;
  padding: 11px 21px;
}

div.dropdown a:not(.disabled):hover {
  background-color: #f2f4f9;
}

div.dropdown.shown {
  display: block;
}

/* Global Responsive Stuff */
@media all and (max-width: 1145px) {
  h1 {
    font-size: 32px;
  }
  h2 {
    font-size: 24px;
  }
  main > div {
    width: 80vw;
  }
  button {
    min-width: 180px;
  }
}

@media all and (min-width: 701px) {
  .mini-only {
    display: none !important;
  }
}

@media all and (max-width: 700px) {
  .full-only {
    display: none !important;
  }
  h1 {
    font-size: 24px;
  }
  h2 {
    font-size: 18px;
  }
  button {
    min-width: 120px;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
  }
}
